    /*
    Js2Mouse, convert joystick events into mouse events
    Copyright (C) 2003  VINCENT Cdric

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */
    
//keep it independant user-mode / kernel-space !!!

#include "ps2.h"

unsigned char j2m_click_ps2( __s16 value, char *mouse_buff, signed char click)
{
	if (value) {
		if ( (mouse_buff[0] & click) == click)
			return NONE;
	
		mouse_buff[0] |= click;
		return  ACTIVED;
	}
	else {
		mouse_buff[0] &= ~click;
		return  DESACTIVED;
	}
}

